VMTKSURFACESMOOTHING(1)

NAME
vmtksurfacesmoothing - vmtk script vmtksurfacesmoothing

DESCRIPTION
Automatic piping vmtksurfacesmoothing Parsing options vmtksurfacesmoothing

vmtksurfacesmoothing : smooth a surface using Taubin's algorithm

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-iterations NumberOfIterations (int,1) >= 0; default=1: number of

    iterations (e.g. 25)

-method Method (str,1) in ['taubin', 'laplace']; default=taubin:

    smoothing method

-passband PassBand (float,1); default=1.0: pass band (e.g. 0.1) -

    taubin only

-relaxation RelaxationFactor (float,1) >= 0.0; default=0.01:

    relaxation factor (e.g. 0.01) - laplace only

-boundarysmoothing BoundarySmoothing (bool,1); default=1: toggle

    allow change of position of boundary points

-normalize NormalizeCoordinates (bool,1); default=1: toggle

    normalization of coordinates prior to filtering to minimize spurious translation effects - taubin only

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface